Package Details: smokeqt-git 20160613-1

Git Clone URL: https://aur.archlinux.org/smokeqt-git.git (read-only)
Package Base: smokeqt-git
Description: Language independent library for Qt bindings
Upstream URL: http://kde.org/
Licenses: GPL, LGPL, FDL
Conflicts: kdebindings-smokeqt
Submitter: None
Maintainer: blackhole
Last Packager: blackhole
Votes: 1
Popularity: 0.000010
First Submitted: 2012-06-30 12:14
Last Updated: 2016-06-13 07:56

Dependencies (6)

Required by (0)

Sources (0)

Latest Comments

blackhole commented on 2016-06-13 07:57

Ok, thanks, fixed

Th30n commented on 2016-06-09 15:05

The package does not build with gcc-6.x

I get the same compile error as reported here:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=812002

EDIT: It's enough to change the standard to old default, gnu++98.
This can be done by setting a variable when calling cmake: `-DCMAKE_CXX_STANDARD=98`

blackhole commented on 2015-10-30 12:28

Ok, changed

CounterPillow commented on 2015-10-30 03:53

>make -j `expr ${numprocs} + 1`

This shouldn't be in the PKGBUILD - Users who wish to run make in parallel can do so by specifying the number of jobs in their makepkg.conf's MAKEFLAGS. For more information, see https://wiki.archlinux.org/index.php/Makepkg#MAKEFLAGS